Public Interface IField
	Property Field() As Fields
End Interface
Public Interface IValue
	Function GetValue(Of t)() As t
	Sub SetValue(Of t)(ByVal value As t)
End Interface
Public Interface IRange
	Sub SetRange(ByVal min As Decimal, ByVal max As Decimal, ByVal value As Decimal)
	Function GetValue() As Decimal
End Interface
Public Interface ISelection
	Sub InitList(Of t)(ByVal aStComboBox() As CStComboBoxItem(Of t), ByVal value As t, Optional ByVal forceDisabled As Boolean = False)
End Interface
Public Interface IChanged
	Event Changed(ByVal sender As Object, ByVal e As EventArgs)
End Interface
Public Class CStComboBoxItem(Of t)
	Dim m_ItemText As String
	Dim m_ItemValue As t
	Public Sub New(ByVal text As String, ByVal value As t)
		m_ItemText = text
		m_ItemValue = value
	End Sub
	Public Overrides Function ToString() As String
		Return (m_ItemText)
	End Function
	Public ReadOnly Property Value() As t
		Get
			Return (m_ItemValue)
		End Get
	End Property


End Class